This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 120667 - LILO not available after installing with GRUB
LILO not available after installing with GRUB
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 16:07 EDT by Ken Banks
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 00:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Banks 2004-04-12 16:07:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705)

Description of problem:
After installing a system with GRUB as the default loader,
one cannot easily switch back to LILO becuase lilo cannot be located 
on the system.  The lilo utility should be found in /sbin.


This is particulary troublesome, if for some reason your system 
doesn't boot in the first place and you are forced to do a 'linux 
rescue', only to find out that 'lilo' is not available on the 
system.   


Version-Release number of selected component (if applicable):
EL 3.0 Beta 2 build 330

How reproducible:
Always

Steps to Reproduce:
1. Install a system using GRUB as the default loader.
2. Boot the system.
3. Copy  /etc/lilo.conf.anaconda to /etc/lilo.conf
4. Try to run lilo.
   lilo: command not found.  

Actual Results:  I could not convert to the lilo boot loader without 
manually tracking down a copy of the lilo utility from the disc 
media.  

Expected Results:  'lilo' should have been installed in /sbin.  After 
all, a 'lilo.conf.anaconda' is created for you in /etc just for the 
purpose of being allowed to switch back to the lilo boot loader..

Additional info:

The same thing happens with the install for AS 2.1 Update 4 Beta.
Comment 1 Jeremy Katz 2004-04-13 00:07:47 EDT
LILO is deprecated, this is intentional.  GRUB is the preferred boot
loader for RHEL.

Note You need to log in before you can comment on or make changes to this bug.